libmoosex-emulate-class-accessor-fast-perl_0.00903-1_all.deb


Advertisement

Description

libmoosex-emulate-class-accessor-fast-perl - module to emulate Class::Accessor::Fast using Moose attributes

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libmoosex-emulate-class-accessor-fast-perl
Package version: 0.00903
Package release: 1
Package architecture: all
Package type: deb
Installed size: 120 B
Download size: 13.66 KB
Official Mirror: ftp.br.debian.org
MooseX::Emulate::Class::Accessor::Fast attempts to emulate the behavior of Class::Accessor::Fast as accurately as possible using the Moose attribute system. The public API of Class::Accessor::Fast is wholly supported, but the private methods are not. If you are only using the public methods (as you should) then migrating to this is trivial.

    Download

    Source package: libmoosex-emulate-class-accessor-fast-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libmoosex-emulate-class-accessor-fast-perl deb package:
      # sudo apt-get install libmoosex-emulate-class-accessor-fast-perl

    Files

    • /usr/share/doc/libmoosex-emulate-class-accessor-fast-perl/changelog.Debian.gz
    • /usr/share/doc/libmoosex-emulate-class-accessor-fast-perl/changelog.gz
    • /usr/share/doc/libmoosex-emulate-class-accessor-fast-perl/copyright
    • /usr/share/man/man3/MooseX::Adopt::Class::Accessor::Fast.3pm.gz
    • /usr/share/man/man3/MooseX::Emulate::Class::Accessor::Fast.3pm.gz
    • /usr/share/perl5/MooseX/Adopt/Class/Accessor/Fast.pm
    • /usr/share/perl5/MooseX/Emulate/Class/Accessor/Fast.pm
    • /usr/share/perl5/MooseX/Emulate/Class/Accessor/Fast/Meta/Accessor.pm
    • /usr/share/perl5/MooseX/Emulate/Class/Accessor/Fast/Meta/Role/Attribute.pm

    Changelog

    2009-09-20 - Jonathan Yu <jawnsy@cpan.org> libmoosex-emulate-class-accessor-fast-perl (0.00903-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release + Minor change to silence a test warning * Standards-Version 3.8.3 (drop perl version dependency) [ Ryan Niebur ] * Update jawnsy's email address

    2009-07-10 - Jonathan Yu <frequency@cpan.org> libmoosex-emulate-class-accessor-fast-perl (0.00902-1) unstable; urgency=low * New upstream release + Small fix to work with newer versions of Moose * Added /me to Uploaders & Copyright * New Upstream-Maintainer (Florian Ragwitz); copyright remains the same * Requires Moose >= 0.84 [ Nathan Handler ] * debian/watch: Update to ignore development releases.

    2009-05-31 - Ansgar Burchardt <ansgar@43-1.org> libmoosex-emulate-class-accessor-fast-perl (0.00900-1) unstable; urgency=low [ Ansgar Burchardt ] * New upstream release. * Add myself to Uploaders. * Bump debhelper dependency to 7.2.13 since this package uses Module::Install. * Use tiny debian/rules. [ gregor herrmann ] * debian/control: - remove libmodule-install-perl from Build-Depends - make short description a noun phrase

    2009-04-24 - Krzysztof Krzyżaniak (eloy) <eloy@debian.org> libmoosex-emulate-class-accessor-fast-perl (0.00802-1) unstable; urgency=low * New upstream release * debian/control: libtest-exception-perl added to B-D

    2009-04-09 - Krzysztof Krzyżaniak (eloy) <eloy@debian.org> libmoosex-emulate-class-accessor-fast-perl (0.00801-1) unstable; urgency=low * New upstream release * debian/control: Standards-Version updated to 3.8.1 (no changes)

    2009-02-04 - Krzysztof Krzyżaniak (eloy) <eloy@debian.org> libmoosex-emulate-class-accessor-fast-perl (0.00800-1) unstable; urgency=low * New upstream release * debian/copyright: update years of packaging copyright and inc/* folder

    2009-01-05 - gregor herrmann <gregoa@debian.org> libmoosex-emulate-class-accessor-fast-perl (0.00701-1) unstable; urgency=low * New upstream release. * debian/copyright: update years of packaging copyright.

    2008-12-30 - Krzysztof Krzyżaniak (eloy) <eloy@debian.org> libmoosex-emulate-class-accessor-fast-perl (0.00700-1) unstable; urgency=low * New upstream release

    2008-12-18 - gregor herrmann <gregoa@debian.org> libmoosex-emulate-class-accessor-fast-perl (0.00600-1) unstable; urgency=low * New upstream release. * debian/rules: use template from dh-make-perl * debian/copyright: switch to new format and add info about files under inc/. * Add /me to Uploaders. * Add (build) dependency on libnamespace-clean-perl.

    2008-12-10 - Krzysztof Krzyżaniak (eloy) <eloy@debian.org> libmoosex-emulate-class-accessor-fast-perl (0.00500-1) unstable; urgency=low * New upstream release

    Advertisement
    Advertisement